<template>
  <ObModal
    ref="modal"
    size="small"
    title="Удалить черновик договора?"
    :is-error="true"
    :is-show-controls="true"
    ok-text="Удалить"
    cancel-text="Не удалять"
    @submit="$emit('on-delete')"
  >
    <p>Черновик договора будет удален без возможности восстановления</p>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'

export default {
  name: 'ContractDraftDeleteModal',
  components: {
    ObModal
  },
  methods: {
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  }
}
</script>
